<?php
    //Conectando ao banco de dados
    include("conexao.php");

    //Consultando banco de dados
    $qryLista = mysql_query("SELECT * FROM midias ORDER BY nome ASC");

    while($resultado = mysql_fetch_assoc($qryLista)){

        $vetor[] = array_map('htmlspecialchars', $resultado);

    }
    
    //Passando vetor em forma de json
    echo json_encode($vetor, JSON_UNESCAPED_SLASHES | JSON_UNESCAPED_UNICODE);
?>